-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Versi server:                 10.1.26-MariaDB - mariadb.org binary distribution
-- OS Server:                    Win32
-- HeidiSQL Versi:               9.4.0.5125
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- Membuang struktur basisdata untuk pr-ojek
CREATE DATABASE IF NOT EXISTS `pr-ojek` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `pr-ojek`;

-- membuang struktur untuk table pr-ojek.drivers
CREATE TABLE IF NOT EXISTS `drivers` (
  `ID` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `total_rating` int(11) NOT NULL DEFAULT '0',
  `total_passangers` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  CONSTRAINT `drivers_ibfk_1` FOREIGN KEY (`ID`) REFERENCES `users` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Membuang data untuk tabel pr-ojek.drivers: ~3 rows (lebih kurang)
/*!40000 ALTER TABLE `drivers` DISABLE KEYS */;
INSERT INTO `drivers` (`ID`, `name`, `total_rating`, `total_passangers`) VALUES
	(2, 'Adya Naufal Fikri', 0, 0),
	(3, 'Vigor Akbar', 0, 0),
	(4, 'Turfa Auliarachman', 0, 0);
/*!40000 ALTER TABLE `drivers` ENABLE KEYS */;

-- membuang struktur untuk table pr-ojek.driver_locations
CREATE TABLE IF NOT EXISTS `driver_locations` (
  `ID` int(11) NOT NULL,
  `location` varchar(30) NOT NULL,
  KEY `ID` (`ID`),
  CONSTRAINT `driver_locations_ibfk_1` FOREIGN KEY (`ID`) REFERENCES `drivers` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Membuang data untuk tabel pr-ojek.driver_locations: ~8 rows (lebih kurang)
/*!40000 ALTER TABLE `driver_locations` DISABLE KEYS */;
INSERT INTO `driver_locations` (`ID`, `location`) VALUES
	(2, 'Cisitu'),
	(3, 'Cisitu'),
	(3, 'Tubagus Ismail'),
	(4, 'Tubagus Ismail'),
	(4, 'Pelesiran'),
	(2, 'Pelesiran');
/*!40000 ALTER TABLE `driver_locations` ENABLE KEYS */;

-- membuang struktur untuk table pr-ojek.transaction
CREATE TABLE IF NOT EXISTS `transaction` (
  `ID` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_driver` int(11) NOT NULL,
  `rating` int(11) NOT NULL,
  `comment` varchar(1024) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `picking_point` varchar(50) NOT NULL,
  `destination` varchar(50) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `id_driver` (`id_driver`),
  KEY `id_user` (`id_user`),
  CONSTRAINT `transaction_ibfk_1` FOREIGN KEY (`id_driver`) REFERENCES `drivers` (`ID`),
  CONSTRAINT `transaction_ibfk_2` FOREIGN KEY (`id_user`) REFERENCES `users` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Membuang data untuk tabel pr-ojek.transaction: ~0 rows (lebih kurang)
/*!40000 ALTER TABLE `transaction` DISABLE KEYS */;
/*!40000 ALTER TABLE `transaction` ENABLE KEYS */;

-- membuang struktur untuk table pr-ojek.users
CREATE TABLE IF NOT EXISTS `users` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `username` varchar(25) NOT NULL,
  `email` varchar(30) NOT NULL,
  `password` varchar(50) NOT NULL,
  `phone_number` varchar(15) NOT NULL,
  `driver` tinyint(1) NOT NULL,
  `image` varchar(50) NOT NULL DEFAULT './img/profile-placeholder.png',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

-- Membuang data untuk tabel pr-ojek.users: ~4 rows (lebih kurang)
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`ID`, `name`, `username`, `email`, `password`, `phone_number`, `driver`, `image`) VALUES
	(1, 'Jehian', 'reiva5', 'jehiannormansaviero@gmail.com', '1arext1ar', '081382525626', 0, './img/HMIF-Jehian.jpg'),
	(2, 'Adya Naufal Fikri', 'adyanf', 'adyanf@gmail.com', 'opsrtisuc', '089510149602', 1, './img/HMIF-Adya.jpg'),
	(3, 'Vigor Akbar', 'vigorakbar', 'vigorakbar@gmail.com', 'bsuigasum', '08812387183', 1, './img/HMIF-Vigor.jpg'),
	(4, 'Turfa Auliarachman', 'kingfalcon', 'nangisdarah@gmail.com', 'thtorhrot', '082132400651', 1, './img/HMIF-Turfa.jpg');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
